<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.TestPlanInstances']}</h1>
        <h:form id="form">
            <gri:panel>
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.TestPlanInstances']}</f:facet>
                <rich:dataTable id="tplisttable" var="currentTestPlanInstance"
                                value="#{testPlanInstanceManager.getListTestPlanInstances()}"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}" render="ds">
                    <g:column sortBy="#{currentTestPlanInstance.id}" sortOrder="descending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Id']}</ui:define>
                        <h:outputLink value="testPlanInstance.seam?id=#{currentTestPlanInstance.id}" target="_blank">
                            <h:outputText value="#{currentTestPlanInstance.id}"/>
                        </h:outputLink>
                    </g:column>
                    <g:column sortBy="#{currentTestPlanInstance.parentTestPlan.testName}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.TestPlanName']}</ui:define>
                        <h:outputText value="#{currentTestPlanInstance.parentTestPlan.testName}"/>
                    </g:column>
                    <g:column sortBy="#{currentTestPlanInstance.executionDate}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.ExecutionDate']}</ui:define>
                        <h:outputText value="#{currentTestPlanInstance.executionDate}">
                            <s:convertDateTime dateStyle="full" type="both"/>
                        </h:outputText>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.xca.initgw.Configurations']}</ui:define>
                        <a4j:repeat
                                value="#{testPlanInstanceManager.getListSystemConfigurations(currentTestPlanInstance)}"
                                var="conf">
                            <h:outputText value="#{conf}"/>
                            <br/>
                        </a4j:repeat>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Result']}</ui:define>
                        <a4j:repeat value="#{currentTestPlanInstance.result}" var="currents">
                            <h:outputText value="#{currentTestPlanInstance.result.value}"/>
                            <br/>
                        </a4j:repeat>
                    </g:column>
                    <g:column id="ActionColumn">
                        <div class="gzl-never-wrap">
                            <ui:define name="header">#{messages['users.Action']}</ui:define>
                            <a4j:commandLink event="click"
                                             title="#{messages['View']}"
                                             render="globalDiv">
                                <a href="#{applicationConfiguration.getValueOfVariable('application_url')}testplan/testPlanInstance.seam?id=#{currentTestPlanInstance.id}"
                                   target="_blank">
                                    <span class="gzl-icon-search"/>
                                </a>
                            </a4j:commandLink>
                        </div>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="tplisttable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
                <s:div rendered="#{testPlanInstanceManager.getListTestPlanInstances()==null}">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.NoTestPlanInstanceWasFoundForTheSpecifiedIdPleas']}"/>
                </s:div>
            </gri:panel>
        </h:form>

    </ui:define>
</ui:composition>
